package com.bc_chat.contacts.contract

import com.bc_chat.bc_base.contract.UserInfoContract
import com.bc_chat.bc_base.entity.group.Forbidden

/**
 * author：Created by zhaohaoting on 2019/3/18
 * email：526309416@qq.com
 * desc：群成员管理
 */
interface GroupMemberManagerContract {

    interface Presenter {
        /**
         * 删除管理
         */
        fun deleteAdmin(gid: String, cuid: String, userName: String)

        /**
         * 踢出
         */
        fun kickout(groupId: String, userName: String, userNames: String, uids: String)

        /**
         * 禁言
         */
        fun forbidden(groupId: String, uids: String, nickname: String, minute: String)

        /**
         * 解除禁言
         */
        fun delForbidden(groupId: String, uids: String)

        /**
         * 获取禁言状态
         */
        fun forbiddenState(groupId: String)
    }

    interface View : UserInfoContract.View {

        fun deleteAdminSuccess()

        fun kickoutSuccess()

        fun forbiddenSuccess()

        fun delForbiddenSuccess()

        fun forbiddenListSuccess(data: List<Forbidden>?)
    }
}
